=== modified file 'bzrlib/progress.py'
--- bzrlib/progress.py	2006-10-31 01:15:34 +0000
+++ bzrlib/progress.py	2006-11-03 23:29:49 +0000
@@ -179,7 +179,7 @@
         self._stack = _stack
         # seed throttler
         self.MIN_PAUSE = 0.1 # seconds
-        now = time.clock()
+        now = time.time()
         # starting now
         self.start_time = now
         # next update should not throttle
@@ -297,11 +297,8 @@
     def throttle(self, old_msg):
         """Return True if the bar was updated too recently"""
         # time.time consistently takes 40/4000 ms = 0.01 ms.
-        # but every single update to the pb invokes it.
-        # so we use time.clock which takes 20/4000 ms = 0.005ms
-        # on the downside, time.clock() appears to have approximately
-        # 10ms granularity, so we treat a zero-time change as 'throttled.'
-        now = time.clock()
+        # time.clock() is faster, but gives us CPU time, not wall-clock time
+        now = time.time()
         if self.start_time is not None and (now - self.start_time) < 1:
             return True
         if old_msg != self.last_msg:
@@ -511,7 +508,7 @@
     if current > total:
         return None                     # wtf?
 
-    elapsed = time.clock() - start_time
+    elapsed = time.time() - start_time
 
     if elapsed < 2.0:                   # not enough time to estimate
         return None

